OSINT Lookups
Discord Username History
Retrieves historical usernames for a Discord user.
Note: Response has nested structure with data.history array.
Each history entry has name and time as arrays.
GET
https://oathnet.org/api
/
service
/
discord-username-history
Discord Username History
curl --request GET \
--url https://oathnet.org/api/service/discord-username-history \
--header 'x-api-key: <api-key>'import requests
url = "https://oathnet.org/api/service/discord-username-history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://oathnet.org/api/service/discord-username-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Request completed successfully",
"data": {
"success": true,
"message": "Found.",
"history": [
{
"name": [
"jahames0422"
],
"time": [
"2025-08-01T13:01:13.476Z"
]
},
{
"name": [
"rotaryrage"
],
"time": [
"2025-08-12T06:49:06.572Z"
]
},
{
"name": [
"raukuratillwedie"
],
"time": [
"2025-08-20T08:56:58.884Z"
]
}
],
"lookups_left": null,
"_meta": {
"user": {
"plan": "Pro"
},
"lookups": {
"used_today": 3,
"left_today": 99996
}
}
}
}Authorizations
API key for authentication (lowercase header name)
Query Parameters
Discord ID must be 14-19 digits
Pattern:
^\d{14,19}$⌘I
Discord Username History
